NNotifyy CRM

Objects

Create a lead

Create a lead in the tenant and project derived from the access token.

Overview

Use this endpoint to create a lead with one or more properties. Pipeline-aware objects use the public aliases pipeline and stage instead of internal ID fields. It requires public api oauth access token authentication and the crm.leads.write scope.

POST/api/objects/leads

cURL

POST
bash
curl --request POST \  --url 'https://crm.notifyy.io/api/objects/leads' \  --header 'Authorization: Bearer nfy_public_api_access_token' \  --header 'Content-Type: application/json' \  --data '{  "properties": [    {      "internal_name": "name",      "value": "Acme Lead"    },    {      "internal_name": "status",      "value": "new"    },    {      "internal_name": "pipeline",      "value": "default_pipeline"    },    {      "internal_name": "stage",      "value": "new_stage"    }  ],  "associations": [    {      "to": {        "object": "company",        "id": "456"      }    }  ]}'

Authorization

Public API OAuth access token

crm.leads.write

Sample Request Body

json
{  "properties": [    {      "internal_name": "name",      "value": "Acme Lead"    },    {      "internal_name": "status",      "value": "new"    },    {      "internal_name": "pipeline",      "value": "default_pipeline"    },    {      "internal_name": "stage",      "value": "new_stage"    }  ],  "associations": [    {      "to": {        "object": "company",        "id": "456"      }    }  ]}

Sample Response

json
{  "success": true,  "message": "Lead created successfully",  "data": {    "id": 999,    "name": "Acme Lead",    "description": null,    "leadSource": null,    "status": "new",    "source": null,    "leadTemperature": null,    "lastActivityTs": null,    "createdAt": "2026-07-31T10:15:30Z",    "updatedAt": "2026-07-31T10:15:30Z"  }}

Status Codes

CodeDescription
201Lead was created.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Content-TypestringRequired

Request body media type.

Example: application/json

Request body

propertiesobject[]Required

Lead properties to create. At least one property is required.

properties[].internal_namestringRequired

Internal property name. Use public aliases pipeline and stage instead of pipeline_id and stage_id.

Example: name

properties[].valueanyOptional

Scalar property value.

Example: Acme Lead

associationsobject[]Optional

Associations to create along with the lead.

associations[].to.objectstringRequired

Associated object type.

Example: company

associations[].to.idstringRequired

Associated record ID. Must be numeric.

Example: 456

Response fields

successboolean

Whether the request succeeded.

Example: true

messagestring

Human-readable result message.

Example: Lead created successfully

data.idinteger

Lead record ID.

Example: 999

data.namestring | null

Lead name.

Example: Acme Lead

data.statusstring | null

Lead status.

Example: new

data.createdAtstring<date-time>

Creation timestamp.

Example: 2026-07-31T10:15:30Z

data.updatedAtstring<date-time>

Last update timestamp.

Example: 2026-07-31T10:15:30Z